From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/commander/
Date: Sat, 30 Jan 2016 15:07:51 +0000 (UTC) [thread overview]
Message-ID: <1454166467.cf462d592ab1eed64c00a0c743e653c277cdda1d.graaff@gentoo> (raw)
commit: cf462d592ab1eed64c00a0c743e653c277cdda1d
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 30 15:07:12 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 15:07:47 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf462d59
dev-ruby/commander: add 4.3.7
Package-Manager: portage-2.2.26
dev-ruby/commander/Manifest | 1 +
dev-ruby/commander/commander-4.3.7.ebuild | 26 ++++++++++++++++++++++++++
2 files changed, 27 insertions(+)
diff --git a/dev-ruby/commander/Manifest b/dev-ruby/commander/Manifest
index 6a01fb1..ad7c588 100644
--- a/dev-ruby/commander/Manifest
+++ b/dev-ruby/commander/Manifest
@@ -1 +1,2 @@
DIST commander-4.3.5.gem 35328 SHA256 23234d4a975c9b5356c9795a46ca2b7786999720321ba3c4a3ec417fea15965f SHA512 a6bdf476c60636883bde58f5915cc08cd858093ad19143617d7cd72a523adb6bf2c72539ce2de469520624bc1d387c5ba44de4577d174f00b03eaf684ffa3966 WHIRLPOOL d4e28dea3108a20195a097a94af3894b6f8c50b16d32bc5ca7f92c8446a13fb9de253c7270c463e93523e43e9a0fa9578a9a54b6ffdb7564a3a16c95d7688892
+DIST commander-4.3.7.gem 35328 SHA256 c5caa7882a27a793b720e8c071218cc26d112d85a73d4dda1f93be08bfa09f3a SHA512 adfb4483fe3b74bb40d2e6e3101b990eee82aea1c6593ea2ce76213740ab4e3e39eb25cd1d22ec23d406d20c5d6f8bb930c1058a808abd01b7fdb20463209cb8 WHIRLPOOL 27e65562d7cd90d268683321a829ffcf364dd326a008872640b6f8107c2107940fec50ce1cec3a13732fa922b60443114da74e5e85f3ff8841cc85a1cc9c76da
diff --git a/dev-ruby/commander/commander-4.3.7.ebuild b/dev-ruby/commander/commander-4.3.7.ebuild
new file mode 100644
index 0000000..02c51ae
--- /dev/null
+++ b/dev-ruby/commander/commander-4.3.7.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The complete solution for Ruby command-line executables"
+HOMEPAGE="https://visionmedia.github.com/commander/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/highline-1.7.2"
+
+all_ruby_prepare() {
+ sed -i -e "/simplecov/,/end/ s:^:#:" spec/spec_helper.rb || die
+}
next reply other threads:[~2016-01-30 15:07 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-01-30 15:07 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-01 8:02 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/commander/ Hans de Graaff
2024-07-12 9:06 Hans de Graaff
2024-06-02 9:59 Hans de Graaff
2023-04-10 22:17 Sam James
2023-03-27 8:35 Sam James
2022-06-26 5:43 Hans de Graaff
2022-05-07 6:34 Hans de Graaff
2021-04-10 6:17 Hans de Graaff
2020-08-22 7:56 Hans de Graaff
2020-03-14 7:48 Hans de Graaff
2020-03-09 6:32 Hans de Graaff
2020-01-22 7:54 Hans de Graaff
2019-11-16 9:36 Hans de Graaff
2018-10-23 5:12 Hans de Graaff
2018-10-23 5:12 Hans de Graaff
2018-08-02 5:36 Hans de Graaff
2018-08-02 5:36 Hans de Graaff
2018-05-23 4:47 Hans de Graaff
2018-01-19 6:12 Hans de Graaff
2017-07-06 4:56 Hans de Graaff
2017-07-06 4:56 Hans de Graaff
2017-01-13 6:49 Hans de Graaff
2016-12-21 6:33 Hans de Graaff
2016-12-17 6:01 Hans de Graaff
2016-12-03 6:15 Hans de Graaff
2016-12-03 6:15 Hans de Graaff
2016-02-20 7:32 Hans de Graaff
2016-02-10 6:29 Hans de Graaff
2016-02-10 6:29 Hans de Graaff
2016-01-30 15:07 Hans de Graaff
2015-08-10 5:08 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1454166467.cf462d592ab1eed64c00a0c743e653c277cdda1d.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox